- [HTTP request](https://developers.google.com/pay/refundable-one-time-payment-code-v1/google-refundable-one-time-payment-code-api/acceptRemittanceStatement#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/refundable-one-time-payment-code-v1/google-refundable-one-time-payment-code-api/acceptRemittanceStatement#body.request_body)
  - [JSON representation](https://developers.google.com/pay/refundable-one-time-payment-code-v1/google-refundable-one-time-payment-code-api/acceptRemittanceStatement#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/refundable-one-time-payment-code-v1/google-refundable-one-time-payment-code-api/acceptRemittanceStatement#body.response_body)
- [AcceptRemittanceStatementResponse](https://developers.google.com/pay/refundable-one-time-payment-code-v1/google-refundable-one-time-payment-code-api/acceptRemittanceStatement#AcceptRemittanceStatementResponse)
  - [JSON representation](https://developers.google.com/pay/refundable-one-time-payment-code-v1/google-refundable-one-time-payment-code-api/acceptRemittanceStatement#AcceptRemittanceStatementResponse.SCHEMA_REPRESENTATION)
- [AcceptRemittanceStatementResultCode](https://developers.google.com/pay/refundable-one-time-payment-code-v1/google-refundable-one-time-payment-code-api/acceptRemittanceStatement#AcceptRemittanceStatementResultCode)

Tells Google that the statement indicated in this request will be paid.

If the endpoint encounters an error while processing the request, the endpoint will return HTTP 4xx or 5xx and the HTTP body will either be of type [`ErrorResponse`](https://developers.google.com/pay/refundable-one-time-payment-code-v1/payment-integrator-refundable-one-time-payment-code-api/ErrorResponse) or contain a generic error (e.g. a message similar to "There was an error. Please try again later.").

The generic error is used in situations where an [`ErrorResponse`](https://developers.google.com/pay/refundable-one-time-payment-code-v1/payment-integrator-refundable-one-time-payment-code-api/ErrorResponse) with a clear description could be used to help an attacker understand the payment integrator account identifier of other integrators. In these situations, where either the signing key doesn't match, the payment integrator identifier was not found, or the encryption key was unknown, this method will return a generic error. If the request signature could be verified, additional information regarding the error will be returned in an [`ErrorResponse`](https://developers.google.com/pay/refundable-one-time-payment-code-v1/payment-integrator-refundable-one-time-payment-code-api/ErrorResponse).

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 1,
          "minor": 0,
          "revision": 0
        },
        "requestId": "0123434-abc",
        "requestTimestamp": "1502545413098"
      },
      "paymentIntegratorAccountId": "InvisiCashUSA_USD",
      "statementId": "0123434-statement-abc"
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": "1519996752221"
      },
      "acceptRemittanceStatementResultCode": "SUCCESS"
    }

### HTTP request

`POST https://vgw.googleapis.com/gsp/refundable-one-time-payment-code-v1/acceptRemittanceStatement/https://developers.google.com/pay/refundable-one-time-payment-code-v1/reference/glossary#payment_integrator_account_id`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (https://developers.google.com/pay/refundable-one-time-payment-code-v1/payment-integrator-refundable-one-time-payment-code-api/RequestHeader) }, "paymentIntegratorAccountId": string, "statementId": string } ``` |

| Fields ||
|---|---|
| `requestHeader` | `object (https://developers.google.com/pay/refundable-one-time-payment-code-v1/payment-integrator-refundable-one-time-payment-code-api/RequestHeader)` **REQUIRED**: Common header for all requests. |
| `paymentIntegratorAccountId` | `string` **REQUIRED**: This is the payment integrator account identifier that identifies contractual constraints around this statement. |
| `statementId` | `string` **REQUIRED**: Request ID of the statement notification. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/refundable-one-time-payment-code-v1/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/refundable-one-time-payment-code-v1/google-refundable-one-time-payment-code-api/acceptRemittanceStatement#AcceptRemittanceStatementResponse`)`` |
| HTTP 4XX / 5XX Status | `object (https://developers.google.com/pay/refundable-one-time-payment-code-v1/payment-integrator-refundable-one-time-payment-code-api/ErrorResponse)` |
| End of mutually exclusive fields. ||

## AcceptRemittanceStatementResponse

Response object for the `acceptRemittanceStatement` method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (https://developers.google.com/pay/refundable-one-time-payment-code-v1/payment-integrator-refundable-one-time-payment-code-api/ResponseHeader) }, "acceptRemittanceStatementResultCode": enum (`https://developers.google.com/pay/refundable-one-time-payment-code-v1/google-refundable-one-time-payment-code-api/acceptRemittanceStatement#AcceptRemittanceStatementResultCode`) } ``` |

| Fields ||
|---|---|
| `responseHeader` | `object (https://developers.google.com/pay/refundable-one-time-payment-code-v1/payment-integrator-refundable-one-time-payment-code-api/ResponseHeader)` **REQUIRED**: Common header for all responses. |
| `acceptRemittanceStatementResultCode` | ``enum (`https://developers.google.com/pay/refundable-one-time-payment-code-v1/google-refundable-one-time-payment-code-api/acceptRemittanceStatement#AcceptRemittanceStatementResultCode`)`` **REQUIRED**: Result of the refundable-one-time-payment-code-v1.acceptRemittanceStatement call. |

## AcceptRemittanceStatementResultCode

Result codes for the `acceptRemittanceStatement` method.

| Enums ||
|---|---|
| `UNKNOWN_RESULT` | Do not ever set this default value! |
| `SUCCESS` | Remittance statement accepted successfully |